PDA

View Full Version : Expected browser support



firefoxSafari
2 May 2019, 12:28 PM
What are the supported browsers out of the box for this product? I played around a little with the kitchensink examples in Chrome and they seemed to work ok. I tried in IE 11 and nothing would run.

I get the same Invalid Character error that has plagued your examples for months now (really need to fix this - doesn't like using the back tick quote) -

File: kitchensink, Line: 190, Column: 33

// Set title
window.document.title = `Sencha | ${product} Examples`;


Beyond this, there is now a syntax error on the class keyword -

File: main.js, Line: 1, Column: 1424


I'm guessing using WebComponents and modern JS syntax might require some sort of polyfill to get it to work in some versions of IE. So that's the question - what versions of IE will be supported and do you have an official polyfill solution so that this will work eventually in IE11+?

mgusmano
3 May 2019, 2:00 AM
Yes, we will implement polyfills for both IE 11+ and Edge - for the Early Access we have not implemented those polyfills yet - this page has a list of supported browsers

https://www.webcomponents.org/